# ZBX-SSL_CERTIFICATE_CHECK

## Information :

Cette sonde permet :
* De superviser le nom de l'autorité de certification qui à signé le certificat
* Le temps avant expiration du certificat

Elle doit être placé sur un serveur ayant accès au serveur ayant le SSL/TLS (par exemple, lui même).

## Configuration :

### Installation de la sonde :

- Placer le dossier /etc/ à la racine de la machine.
- Redémarrer le service zabbix-agentd

### Ajout des sondes/triggers :

Voici les valeurs à changer manuellement :

* $HOST = Nom d'hote de la machine
* $PORT = port de connexion
* $CN = Nom d'hote du certificat
* $TEMPS = Nombre de jours restant

#### Sonde de l'Issuer :

Donne le nom de l'autorité de certification.

```
ssl_cert_check[-i,$HOST,$PORT,$CN]
```

#### Sonde de temps avant expiration

Donne en jours, la durée restante avant expiration.

```
ssl_cert_check[-d,$HOST,$PORT,$CN]
```

#### Ajout d'un trigger basé sur le temps

Ce trigger va s'activer si le $TEMPS est inférieur ou égal au nombre de jours restant avant l'expiration du certificat.

```
{$HOTE:ssl_cert_check[-d,$HOST,$PORT,$CN].last()}<=$TEMPS
```
